<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<Project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="project_projx.xsd">
  <SchemaVersion>2.1</SchemaVersion>
  <Header>### uVision Project, (C) Keil Software</Header>
  <Targets>
    <Target>
      <TargetName>host_phdc_manager_bm Debug</TargetName>
      <ToolsetNumber>0x4</ToolsetNumber>
      <ToolsetName>ARM-ADS</ToolsetName>
      <TargetOption>
        <TargetCommonOption>
          <Device>MK64FN1M0xxx12</Device>
          <Vendor>Freescale</Vendor>
          <Cpu>CPUTYPE("Cortex-M4") FPU2</Cpu>
          <FlashUtilSpec/>
          <StartupFile>"STARTUP\Freescale\Kinetis\startup_MK64F12.s" ("Freescale MK64Xxxxxxx12 Startup Code")</StartupFile>
          <FlashDriverDll>UL2CM3(-O2511 -S0 -C0 -FO15 -FD20000000 -FC4000 -FN1 -FF0MK_P1M0 -FS00 -FL0100000)</FlashDriverDll>
          <DeviceId>7425</DeviceId>
          <RegisterFile>MK64F12.H</RegisterFile>
          <MemoryEnv/>
          <Cmp/>
          <Asm/>
          <Linker/>
          <OHString/>
          <InfinionOptionDll/>
          <SLE66CMisc/>
          <SLE66AMisc/>
          <SLE66LinkerMisc/>
          <SFDFile>SFD\Freescale\Kinetis\MK64F12.sfr</SFDFile>
          <bCustSvd>0</bCustSvd>
          <UseEnv>0</UseEnv>
          <BinPath/>
          <IncludePath/>
          <LibPath/>
          <RegisterFilePath>Freescale\Kinetis\</RegisterFilePath>
          <DBRegisterFilePath>Freescale\Kinetis\</DBRegisterFilePath>
          <TargetStatus>
            <Error>0</Error>
            <ExitCodeStop>0</ExitCodeStop>
            <ButtonStop>0</ButtonStop>
            <NotGenerated>0</NotGenerated>
            <InvalidFlash>1</InvalidFlash>
          </TargetStatus>
          <OutputDirectory>debug\</OutputDirectory>
          <OutputName>host_phdc_manager_bm.out</OutputName>
          <CreateExecutable>1</CreateExecutable>
          <CreateLib>0</CreateLib>
          <CreateHexFile>0</CreateHexFile>
          <DebugInformation>1</DebugInformation>
          <BrowseInformation>1</BrowseInformation>
          <ListingPath>.\output\</ListingPath>
          <HexFormatSelection>1</HexFormatSelection>
          <Merge32K>0</Merge32K>
          <CreateBatchFile>0</CreateBatchFile>
          <BeforeCompile>
            <RunUserProg1>0</RunUserProg1>
            <RunUserProg2>0</RunUserProg2>
            <UserProg1Name/>
            <UserProg2Name/>
            <UserProg1Dos16Mode>0</UserProg1Dos16Mode>
            <UserProg2Dos16Mode>0</UserProg2Dos16Mode>
            <nStopU1X>0</nStopU1X>
            <nStopU2X>0</nStopU2X>
          </BeforeCompile>
          <BeforeMake>
            <RunUserProg1>0</RunUserProg1>
            <RunUserProg2>0</RunUserProg2>
            <UserProg1Name/>
            <UserProg2Name/>
            <UserProg1Dos16Mode>0</UserProg1Dos16Mode>
            <UserProg2Dos16Mode>0</UserProg2Dos16Mode>
          </BeforeMake>
          <AfterMake>
            <RunUserProg1>0</RunUserProg1>
            <RunUserProg2>0</RunUserProg2>
            <UserProg1Name/>
            <UserProg2Name/>
            <UserProg1Dos16Mode>0</UserProg1Dos16Mode>
            <UserProg2Dos16Mode>0</UserProg2Dos16Mode>
          </AfterMake>
          <SelectedForBatchBuild>1</SelectedForBatchBuild>
          <SVCSIdString/>
        </TargetCommonOption>
        <CommonProperty>
          <UseCPPCompiler>0</UseCPPCompiler>
          <RVCTCodeConst>0</RVCTCodeConst>
          <RVCTZI>0</RVCTZI>
          <RVCTOtherData>0</RVCTOtherData>
          <ModuleSelection>0</ModuleSelection>
          <IncludeInBuild>1</IncludeInBuild>
          <AlwaysBuild>0</AlwaysBuild>
          <GenerateAssemblyFile>0</GenerateAssemblyFile>
          <AssembleAssemblyFile>0</AssembleAssemblyFile>
          <PublicsOnly>0</PublicsOnly>
          <StopOnExitCode>3</StopOnExitCode>
          <CustomArgument/>
          <IncludeLibraryModules/>
          <ComprImg>1</ComprImg>
        </CommonProperty>
        <DllOption>
          <SimDllName>SARMCM3.DLL</SimDllName>
          <SimDllArguments/>
          <SimDlgDll>DCM.DLL</SimDlgDll>
          <SimDlgDllArguments>-pCM4</SimDlgDllArguments>
          <TargetDllName>SARMCM3.DLL</TargetDllName>
          <TargetDllArguments/>
          <TargetDlgDll>TCM.DLL</TargetDlgDll>
          <TargetDlgDllArguments>-pCM4</TargetDlgDllArguments>
        </DllOption>
        <DebugOption>
          <OPTHX>
            <HexSelection>1</HexSelection>
            <HexRangeLowAddress>0</HexRangeLowAddress>
            <HexRangeHighAddress>0</HexRangeHighAddress>
            <HexOffset>0</HexOffset>
            <Oh166RecLen>16</Oh166RecLen>
          </OPTHX>
          <Simulator>
            <UseSimulator>0</UseSimulator>
            <LoadApplicationAtStartup>1</LoadApplicationAtStartup>
            <RunToMain>1</RunToMain>
            <RestoreBreakpoints>1</RestoreBreakpoints>
            <RestoreWatchpoints>1</RestoreWatchpoints>
            <RestoreMemoryDisplay>1</RestoreMemoryDisplay>
            <RestoreFunctions>1</RestoreFunctions>
            <RestoreToolbox>1</RestoreToolbox>
            <LimitSpeedToRealTime>0</LimitSpeedToRealTime>
          </Simulator>
          <Target>
            <UseTarget>1</UseTarget>
            <LoadApplicationAtStartup>1</LoadApplicationAtStartup>
            <RunToMain>1</RunToMain>
            <RestoreBreakpoints>1</RestoreBreakpoints>
            <RestoreWatchpoints>1</RestoreWatchpoints>
            <RestoreMemoryDisplay>1</RestoreMemoryDisplay>
            <RestoreFunctions>0</RestoreFunctions>
            <RestoreToolbox>1</RestoreToolbox>
            <RestoreTracepoints>1</RestoreTracepoints>
            <RestoreTracepoints>1</RestoreTracepoints>
            <RestoreTracepoints>1</RestoreTracepoints>
          </Target>
          <RunDebugAfterBuild>0</RunDebugAfterBuild>
          <TargetSelection>12</TargetSelection>
          <SimDlls>
            <CpuDll/>
            <CpuDllArguments/>
            <PeripheralDll/>
            <PeripheralDllArguments/>
            <InitializationFile/>
          </SimDlls>
          <TargetDlls>
            <CpuDll/>
            <CpuDllArguments/>
            <PeripheralDll/>
            <PeripheralDllArguments/>
            <InitializationFile/>
            <Driver>BIN\CMSIS_AGDI.dll</Driver>
          </TargetDlls>
        </DebugOption>
        <Utilities>
          <Flash1>
            <UseTargetDll>1</UseTargetDll>
            <UseExternalTool>0</UseExternalTool>
            <RunIndependent>0</RunIndependent>
            <UpdateFlashBeforeDebugging>1</UpdateFlashBeforeDebugging>
            <Capability>1</Capability>
            <DriverSelection>4096</DriverSelection>
          </Flash1>
          <bUseTDR>1</bUseTDR>
          <Flash2>BIN\UL2CM3.DLL</Flash2>
          <Flash3/>
          <Flash4/>
          <pFcarmOut/>
          <pFcarmGrp/>
          <pFcArmRoot/>
          <FcArmLst>0</FcArmLst>
        </Utilities>
        <TargetArmAds>
          <ArmAdsMisc>
            <GenerateListings>0</GenerateListings>
            <asHll>1</asHll>
            <asAsm>1</asAsm>
            <asMacX>1</asMacX>
            <asSyms>1</asSyms>
            <asFals>1</asFals>
            <asDbgD>1</asDbgD>
            <asForm>1</asForm>
            <ldLst>0</ldLst>
            <ldmm>1</ldmm>
            <ldXref>1</ldXref>
            <BigEnd>0</BigEnd>
            <AdsALst>1</AdsALst>
            <AdsACrf>0</AdsACrf>
            <AdsANop>0</AdsANop>
            <AdsANot>0</AdsANot>
            <AdsLLst>1</AdsLLst>
            <AdsLmap>1</AdsLmap>
            <AdsLcgr>1</AdsLcgr>
            <AdsLsym>1</AdsLsym>
            <AdsLszi>1</AdsLszi>
            <AdsLtoi>1</AdsLtoi>
            <AdsLsun>1</AdsLsun>
            <AdsLven>1</AdsLven>
            <AdsLsxf>1</AdsLsxf>
            <RvctClst>0</RvctClst>
            <GenPPlst>0</GenPPlst>
            <AdsCpuType>"Cortex-M4"</AdsCpuType>
            <RvctDeviceName/>
            <mOS>0</mOS>
            <uocRom>0</uocRom>
            <uocRam>0</uocRam>
            <hadIROM>1</hadIROM>
            <hadIRAM>1</hadIRAM>
            <hadXRAM>0</hadXRAM>
            <uocXRam>0</uocXRam>
            <RvdsVP>2</RvdsVP>
            <hadIRAM2>1</hadIRAM2>
            <hadIROM2>0</hadIROM2>
            <StupSel>8</StupSel>
            <useUlib>1</useUlib>
            <EndSel>0</EndSel>
            <uLtcg>0</uLtcg>
            <RoSelD>3</RoSelD>
            <RwSelD>3</RwSelD>
            <CodeSel>0</CodeSel>
            <OptFeed>0</OptFeed>
            <NoZi1>0</NoZi1>
            <NoZi2>0</NoZi2>
            <NoZi3>0</NoZi3>
            <NoZi4>0</NoZi4>
            <NoZi5>0</NoZi5>
            <Ro1Chk>0</Ro1Chk>
            <Ro2Chk>0</Ro2Chk>
            <Ro3Chk>0</Ro3Chk>
            <Ir1Chk>1</Ir1Chk>
            <Ir2Chk>0</Ir2Chk>
            <Ra1Chk>0</Ra1Chk>
            <Ra2Chk>0</Ra2Chk>
            <Ra3Chk>0</Ra3Chk>
            <Im1Chk>1</Im1Chk>
            <Im2Chk>1</Im2Chk>
            <OnChipMemories>
              <Ocm1>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm1>
              <Ocm2>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm2>
              <Ocm3>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm3>
              <Ocm4>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm4>
              <Ocm5>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm5>
              <Ocm6>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm6>
              <IRAM>
                <Type>0</Type>
                <StartAddress>0x1fff0000</StartAddress>
                <Size>0x10000</Size>
              </IRAM>
              <IROM>
                <Type>1</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x100000</Size>
              </IROM>
              <XRAM>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </XRAM>
              <OCR_RVCT1>
                <Type>1</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT1>
              <OCR_RVCT2>
                <Type>1</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT2>
              <OCR_RVCT3>
                <Type>1</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT3>
              <OCR_RVCT4>
                <Type>1</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x100000</Size>
              </OCR_RVCT4>
              <OCR_RVCT5>
                <Type>1</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT5>
              <OCR_RVCT6>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT6>
              <OCR_RVCT7>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT7>
              <OCR_RVCT8>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT8>
              <OCR_RVCT9>
                <Type>0</Type>
                <StartAddress>0x1fff0000</StartAddress>
                <Size>0x10000</Size>
              </OCR_RVCT9>
              <OCR_RVCT10>
                <Type>0</Type>
                <StartAddress>0x20000000</StartAddress>
                <Size>0x30000</Size>
              </OCR_RVCT10>
            </OnChipMemories>
            <RvctStartVector/>
          </ArmAdsMisc>
          <Cads>
            <interw>0</interw>
            <Optim>1</Optim>
            <oTime>0</oTime>
            <SplitLS>0</SplitLS>
            <OneElfS>1</OneElfS>
            <Strict>0</Strict>
            <EnumInt>0</EnumInt>
            <PlainCh>0</PlainCh>
            <Ropi>0</Ropi>
            <Rwpi>0</Rwpi>
            <wLevel>2</wLevel>
            <uThumb>0</uThumb>
            <uSurpInc>0</uSurpInc>
            <uC99>1</uC99>
            <useXO>0</useXO>
            <VariousControls>
              <MiscControls>--library_interface=armcc 
--library_type=standardlib 
--diag_suppress=66,1296,186 
 
</MiscControls>
              <Define>_DEBUG=1, CPU_MK64FN1M0VLL12, USB_STACK_BM, PRINTF_FLOAT_ENABLE=1, PRINTF_ADVANCED_ENABLE=1, FRDM_K64F, FREEDOM</Define>
              <Undefine/>
              <IncludePath>..;../../../../../../middleware/usb_1.6.3;../../../../../../middleware/usb_1.6.3/osa;../../../../../../middleware/usb_1.6.3/include;../../../../../../CMSIS/Include;../../../..;../../../../../../middleware/usb_1.6.3/host;../../../../../../devices/MK64F12/drivers;../../../../../../middleware/usb_1.6.3/host/class;../../../../../../devices/MK64F12/utilities;../../../../../../devices/MK64F12</IncludePath>
            </VariousControls>
          </Cads>
          <Aads>
            <interw>0</interw>
            <Ropi>0</Ropi>
            <Rwpi>0</Rwpi>
            <thumb>0</thumb>
            <SplitLS>0</SplitLS>
            <SwStkChk>0</SwStkChk>
            <NoWarn>0</NoWarn>
            <uSurpInc>0</uSurpInc>
            <useXO>0</useXO>
            <VariousControls>
              <MiscControls/>
              <Define>DEBUG</Define>
              <Undefine/>
              <IncludePath/>
            </VariousControls>
          </Aads>
          <LDads>
            <umfTarg>0</umfTarg>
            <Ropi>0</Ropi>
            <Rwpi>0</Rwpi>
            <noStLib>0</noStLib>
            <RepFail>1</RepFail>
            <useFile>0</useFile>
            <TextAddressRange>0x00000000</TextAddressRange>
            <DataAddressRange>0x20000000</DataAddressRange>
            <pXoBase/>
            <ScatterFile>MK64FN1M0xxx12_flash.scf</ScatterFile>
            <IncludeLibs/>
            <IncludeLibsPath/>
            <Misc>--remove 
</Misc>
            <LinkerInputFile/>
            <DisabledWarnings>6314</DisabledWarnings>
          </LDads>
        </TargetArmAds>
      </TargetOption>
      <Groups>
        <Group>
          <GroupName>startup</GroupName>
          <Files>
            <File>
              <FileName>startup_MK64F12.s</FileName>
              <FileType>2</FileType>
              <FilePath>../../../../../../devices/MK64F12/arm/startup_MK64F12.s</FilePath>
            </File>
            <File>
              <FileName>system_MK64F12.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../devices/MK64F12/system_MK64F12.c</FilePath>
            </File>
            <File>
              <FileName>system_MK64F12.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../devices/MK64F12/system_MK64F12.h</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>usb-host</GroupName>
          <Files>
            <File>
              <FileName>usb_host_khci.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/host/usb_host_khci.c</FilePath>
            </File>
            <File>
              <FileName>usb_host_khci.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/host/usb_host_khci.h</FilePath>
            </File>
            <File>
              <FileName>usb_host.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/host/usb_host.h</FilePath>
            </File>
            <File>
              <FileName>usb_host_hci.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/host/usb_host_hci.c</FilePath>
            </File>
            <File>
              <FileName>usb_host_hci.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/host/usb_host_hci.h</FilePath>
            </File>
            <File>
              <FileName>usb_host_devices.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/host/usb_host_devices.c</FilePath>
            </File>
            <File>
              <FileName>usb_host_devices.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/host/usb_host_devices.h</FilePath>
            </File>
            <File>
              <FileName>usb_host_framework.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/host/usb_host_framework.h</FilePath>
            </File>
            <File>
              <FileName>usb_host_framework.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/host/usb_host_framework.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>drivers</GroupName>
          <Files>
            <File>
              <FileName>fsl_uart.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../devices/MK64F12/drivers/fsl_uart.h</FilePath>
            </File>
            <File>
              <FileName>fsl_uart.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../devices/MK64F12/drivers/fsl_uart.c</FilePath>
            </File>
            <File>
              <FileName>fsl_port.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../devices/MK64F12/drivers/fsl_port.h</FilePath>
            </File>
            <File>
              <FileName>fsl_sim.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../devices/MK64F12/drivers/fsl_sim.h</FilePath>
            </File>
            <File>
              <FileName>fsl_sim.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../devices/MK64F12/drivers/fsl_sim.c</FilePath>
            </File>
            <File>
              <FileName>fsl_clock.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../devices/MK64F12/drivers/fsl_clock.h</FilePath>
            </File>
            <File>
              <FileName>fsl_clock.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../devices/MK64F12/drivers/fsl_clock.c</FilePath>
            </File>
            <File>
              <FileName>fsl_gpio.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../devices/MK64F12/drivers/fsl_gpio.h</FilePath>
            </File>
            <File>
              <FileName>fsl_gpio.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../devices/MK64F12/drivers/fsl_gpio.c</FilePath>
            </File>
            <File>
              <FileName>fsl_sysmpu.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../devices/MK64F12/drivers/fsl_sysmpu.h</FilePath>
            </File>
            <File>
              <FileName>fsl_sysmpu.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../devices/MK64F12/drivers/fsl_sysmpu.c</FilePath>
            </File>
            <File>
              <FileName>fsl_common.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../devices/MK64F12/drivers/fsl_common.h</FilePath>
            </File>
            <File>
              <FileName>fsl_common.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../devices/MK64F12/drivers/fsl_common.c</FilePath>
            </File>
            <File>
              <FileName>fsl_smc.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../devices/MK64F12/drivers/fsl_smc.h</FilePath>
            </File>
            <File>
              <FileName>fsl_smc.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../devices/MK64F12/drivers/fsl_smc.c</FilePath>
            </File>
            <File>
              <FileName>fsl_flash.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../devices/MK64F12/drivers/fsl_flash.c</FilePath>
            </File>
            <File>
              <FileName>fsl_flash.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../devices/MK64F12/drivers/fsl_flash.h</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>osa</GroupName>
          <Files>
            <File>
              <FileName>usb_osa.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/osa/usb_osa.h</FilePath>
            </File>
            <File>
              <FileName>usb_osa_bm.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/osa/usb_osa_bm.h</FilePath>
            </File>
            <File>
              <FileName>usb_osa_bm.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/osa/usb_osa_bm.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>usb-host-class</GroupName>
          <Files>
            <File>
              <FileName>usb_host_phdc.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/host/class/usb_host_phdc.c</FilePath>
            </File>
            <File>
              <FileName>usb_host_phdc.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/host/class/usb_host_phdc.h</FilePath>
            </File>
            <File>
              <FileName>usb_host_hub.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/host/class/usb_host_hub.c</FilePath>
            </File>
            <File>
              <FileName>usb_host_hub.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/host/class/usb_host_hub.h</FilePath>
            </File>
            <File>
              <FileName>usb_host_hub_app.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/host/class/usb_host_hub_app.c</FilePath>
            </File>
            <File>
              <FileName>usb_host_hub_app.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/host/class/usb_host_hub_app.h</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>sources</GroupName>
          <Files>
            <File>
              <FileName>app.c</FileName>
              <FileType>1</FileType>
              <FilePath>../app.c</FilePath>
            </File>
            <File>
              <FileName>host_phdc_manager.c</FileName>
              <FileType>1</FileType>
              <FilePath>../host_phdc_manager.c</FilePath>
            </File>
            <File>
              <FileName>host_phdc_manager.h</FileName>
              <FileType>5</FileType>
              <FilePath>../host_phdc_manager.h</FilePath>
            </File>
            <File>
              <FileName>ieee11073_nomenclature.h</FileName>
              <FileType>5</FileType>
              <FilePath>../ieee11073_nomenclature.h</FilePath>
            </File>
            <File>
              <FileName>ieee11073_nomenclature.c</FileName>
              <FileType>1</FileType>
              <FilePath>../ieee11073_nomenclature.c</FilePath>
            </File>
            <File>
              <FileName>ieee11073_types.h</FileName>
              <FileType>5</FileType>
              <FilePath>../ieee11073_types.h</FilePath>
            </File>
            <File>
              <FileName>usb_host_config.h</FileName>
              <FileType>5</FileType>
              <FilePath>../usb_host_config.h</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>utilities</GroupName>
          <Files>
            <File>
              <FileName>fsl_debug_console.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../devices/MK64F12/utilities/fsl_debug_console.c</FilePath>
            </File>
            <File>
              <FileName>fsl_debug_console.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../devices/MK64F12/utilities/fsl_debug_console.h</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>usb-include</GroupName>
          <Files>
            <File>
              <FileName>usb.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/include/usb.h</FilePath>
            </File>
            <File>
              <FileName>usb_misc.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/include/usb_misc.h</FilePath>
            </File>
            <File>
              <FileName>usb_spec.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/include/usb_spec.h</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>board</GroupName>
          <Files>
            <File>
              <FileName>board.c</FileName>
              <FileType>1</FileType>
              <FilePath>../board.c</FilePath>
            </File>
            <File>
              <FileName>board.h</FileName>
              <FileType>5</FileType>
              <FilePath>../board.h</FilePath>
            </File>
            <File>
              <FileName>clock_config.c</FileName>
              <FileType>1</FileType>
              <FilePath>../clock_config.c</FilePath>
            </File>
            <File>
              <FileName>clock_config.h</FileName>
              <FileType>5</FileType>
              <FilePath>../clock_config.h</FilePath>
            </File>
            <File>
              <FileName>pin_mux.c</FileName>
              <FileType>1</FileType>
              <FilePath>../pin_mux.c</FilePath>
            </File>
            <File>
              <FileName>pin_mux.h</FileName>
              <FileType>5</FileType>
              <FilePath>../pin_mux.h</FilePath>
            </File>
          </Files>
        </Group>
      </Groups>
    </Target>
    <Target>
      <TargetName>host_phdc_manager_bm Release</TargetName>
      <ToolsetNumber>0x4</ToolsetNumber>
      <ToolsetName>ARM-ADS</ToolsetName>
      <TargetOption>
        <TargetCommonOption>
          <Device>MK64FN1M0xxx12</Device>
          <Vendor>Freescale</Vendor>
          <Cpu>CPUTYPE("Cortex-M4") FPU2</Cpu>
          <FlashUtilSpec/>
          <StartupFile>"STARTUP\Freescale\Kinetis\startup_MK64F12.s" ("Freescale MK64Xxxxxxx12 Startup Code")</StartupFile>
          <FlashDriverDll>UL2CM3(-O2511 -S0 -C0 -FO15 -FD20000000 -FC4000 -FN1 -FF0MK_P1M0 -FS00 -FL0100000)</FlashDriverDll>
          <DeviceId>7425</DeviceId>
          <RegisterFile>MK64F12.H</RegisterFile>
          <MemoryEnv/>
          <Cmp/>
          <Asm/>
          <Linker/>
          <OHString/>
          <InfinionOptionDll/>
          <SLE66CMisc/>
          <SLE66AMisc/>
          <SLE66LinkerMisc/>
          <SFDFile>SFD\Freescale\Kinetis\MK64F12.sfr</SFDFile>
          <bCustSvd>0</bCustSvd>
          <UseEnv>0</UseEnv>
          <BinPath/>
          <IncludePath/>
          <LibPath/>
          <RegisterFilePath>Freescale\Kinetis\</RegisterFilePath>
          <DBRegisterFilePath>Freescale\Kinetis\</DBRegisterFilePath>
          <TargetStatus>
            <Error>0</Error>
            <ExitCodeStop>0</ExitCodeStop>
            <ButtonStop>0</ButtonStop>
            <NotGenerated>0</NotGenerated>
            <InvalidFlash>1</InvalidFlash>
          </TargetStatus>
          <OutputDirectory>release\</OutputDirectory>
          <OutputName>host_phdc_manager_bm.out</OutputName>
          <CreateExecutable>1</CreateExecutable>
          <CreateLib>0</CreateLib>
          <CreateHexFile>0</CreateHexFile>
          <DebugInformation>0</DebugInformation>
          <BrowseInformation>1</BrowseInformation>
          <ListingPath>.\output\</ListingPath>
          <HexFormatSelection>1</HexFormatSelection>
          <Merge32K>0</Merge32K>
          <CreateBatchFile>0</CreateBatchFile>
          <BeforeCompile>
            <RunUserProg1>0</RunUserProg1>
            <RunUserProg2>0</RunUserProg2>
            <UserProg1Name/>
            <UserProg2Name/>
            <UserProg1Dos16Mode>0</UserProg1Dos16Mode>
            <UserProg2Dos16Mode>0</UserProg2Dos16Mode>
            <nStopU1X>0</nStopU1X>
            <nStopU2X>0</nStopU2X>
          </BeforeCompile>
          <BeforeMake>
            <RunUserProg1>0</RunUserProg1>
            <RunUserProg2>0</RunUserProg2>
            <UserProg1Name/>
            <UserProg2Name/>
            <UserProg1Dos16Mode>0</UserProg1Dos16Mode>
            <UserProg2Dos16Mode>0</UserProg2Dos16Mode>
          </BeforeMake>
          <AfterMake>
            <RunUserProg1>0</RunUserProg1>
            <RunUserProg2>0</RunUserProg2>
            <UserProg1Name/>
            <UserProg2Name/>
            <UserProg1Dos16Mode>0</UserProg1Dos16Mode>
            <UserProg2Dos16Mode>0</UserProg2Dos16Mode>
          </AfterMake>
          <SelectedForBatchBuild>1</SelectedForBatchBuild>
          <SVCSIdString/>
        </TargetCommonOption>
        <CommonProperty>
          <UseCPPCompiler>0</UseCPPCompiler>
          <RVCTCodeConst>0</RVCTCodeConst>
          <RVCTZI>0</RVCTZI>
          <RVCTOtherData>0</RVCTOtherData>
          <ModuleSelection>0</ModuleSelection>
          <IncludeInBuild>1</IncludeInBuild>
          <AlwaysBuild>0</AlwaysBuild>
          <GenerateAssemblyFile>0</GenerateAssemblyFile>
          <AssembleAssemblyFile>0</AssembleAssemblyFile>
          <PublicsOnly>0</PublicsOnly>
          <StopOnExitCode>3</StopOnExitCode>
          <CustomArgument/>
          <IncludeLibraryModules/>
          <ComprImg>1</ComprImg>
        </CommonProperty>
        <DllOption>
          <SimDllName>SARMCM3.DLL</SimDllName>
          <SimDllArguments/>
          <SimDlgDll>DCM.DLL</SimDlgDll>
          <SimDlgDllArguments>-pCM4</SimDlgDllArguments>
          <TargetDllName>SARMCM3.DLL</TargetDllName>
          <TargetDllArguments/>
          <TargetDlgDll>TCM.DLL</TargetDlgDll>
          <TargetDlgDllArguments>-pCM4</TargetDlgDllArguments>
        </DllOption>
        <DebugOption>
          <OPTHX>
            <HexSelection>1</HexSelection>
            <HexRangeLowAddress>0</HexRangeLowAddress>
            <HexRangeHighAddress>0</HexRangeHighAddress>
            <HexOffset>0</HexOffset>
            <Oh166RecLen>16</Oh166RecLen>
          </OPTHX>
          <Simulator>
            <UseSimulator>0</UseSimulator>
            <LoadApplicationAtStartup>1</LoadApplicationAtStartup>
            <RunToMain>1</RunToMain>
            <RestoreBreakpoints>1</RestoreBreakpoints>
            <RestoreWatchpoints>1</RestoreWatchpoints>
            <RestoreMemoryDisplay>1</RestoreMemoryDisplay>
            <RestoreFunctions>1</RestoreFunctions>
            <RestoreToolbox>1</RestoreToolbox>
            <LimitSpeedToRealTime>0</LimitSpeedToRealTime>
          </Simulator>
          <Target>
            <UseTarget>1</UseTarget>
            <LoadApplicationAtStartup>1</LoadApplicationAtStartup>
            <RunToMain>1</RunToMain>
            <RestoreBreakpoints>1</RestoreBreakpoints>
            <RestoreWatchpoints>1</RestoreWatchpoints>
            <RestoreMemoryDisplay>1</RestoreMemoryDisplay>
            <RestoreFunctions>0</RestoreFunctions>
            <RestoreToolbox>1</RestoreToolbox>
            <RestoreTracepoints>1</RestoreTracepoints>
            <RestoreTracepoints>1</RestoreTracepoints>
            <RestoreTracepoints>1</RestoreTracepoints>
          </Target>
          <RunDebugAfterBuild>0</RunDebugAfterBuild>
          <TargetSelection>12</TargetSelection>
          <SimDlls>
            <CpuDll/>
            <CpuDllArguments/>
            <PeripheralDll/>
            <PeripheralDllArguments/>
            <InitializationFile/>
          </SimDlls>
          <TargetDlls>
            <CpuDll/>
            <CpuDllArguments/>
            <PeripheralDll/>
            <PeripheralDllArguments/>
            <InitializationFile/>
            <Driver>BIN\CMSIS_AGDI.dll</Driver>
          </TargetDlls>
        </DebugOption>
        <Utilities>
          <Flash1>
            <UseTargetDll>1</UseTargetDll>
            <UseExternalTool>0</UseExternalTool>
            <RunIndependent>0</RunIndependent>
            <UpdateFlashBeforeDebugging>1</UpdateFlashBeforeDebugging>
            <Capability>0</Capability>
            <DriverSelection>-1</DriverSelection>
          </Flash1>
          <bUseTDR>1</bUseTDR>
          <Flash2>BIN\UL2CM3.DLL</Flash2>
          <Flash3/>
          <Flash4/>
          <pFcarmOut/>
          <pFcarmGrp/>
          <pFcArmRoot/>
          <FcArmLst>0</FcArmLst>
        </Utilities>
        <TargetArmAds>
          <ArmAdsMisc>
            <GenerateListings>0</GenerateListings>
            <asHll>1</asHll>
            <asAsm>1</asAsm>
            <asMacX>1</asMacX>
            <asSyms>1</asSyms>
            <asFals>1</asFals>
            <asDbgD>1</asDbgD>
            <asForm>1</asForm>
            <ldLst>0</ldLst>
            <ldmm>1</ldmm>
            <ldXref>1</ldXref>
            <BigEnd>0</BigEnd>
            <AdsALst>1</AdsALst>
            <AdsACrf>0</AdsACrf>
            <AdsANop>0</AdsANop>
            <AdsANot>0</AdsANot>
            <AdsLLst>1</AdsLLst>
            <AdsLmap>1</AdsLmap>
            <AdsLcgr>1</AdsLcgr>
            <AdsLsym>1</AdsLsym>
            <AdsLszi>1</AdsLszi>
            <AdsLtoi>1</AdsLtoi>
            <AdsLsun>1</AdsLsun>
            <AdsLven>1</AdsLven>
            <AdsLsxf>1</AdsLsxf>
            <RvctClst>0</RvctClst>
            <GenPPlst>0</GenPPlst>
            <AdsCpuType>"Cortex-M4"</AdsCpuType>
            <RvctDeviceName/>
            <mOS>0</mOS>
            <uocRom>0</uocRom>
            <uocRam>0</uocRam>
            <hadIROM>1</hadIROM>
            <hadIRAM>1</hadIRAM>
            <hadXRAM>0</hadXRAM>
            <uocXRam>0</uocXRam>
            <RvdsVP>2</RvdsVP>
            <hadIRAM2>1</hadIRAM2>
            <hadIROM2>0</hadIROM2>
            <StupSel>8</StupSel>
            <useUlib>1</useUlib>
            <EndSel>0</EndSel>
            <uLtcg>0</uLtcg>
            <RoSelD>3</RoSelD>
            <RwSelD>3</RwSelD>
            <CodeSel>0</CodeSel>
            <OptFeed>0</OptFeed>
            <NoZi1>0</NoZi1>
            <NoZi2>0</NoZi2>
            <NoZi3>0</NoZi3>
            <NoZi4>0</NoZi4>
            <NoZi5>0</NoZi5>
            <Ro1Chk>0</Ro1Chk>
            <Ro2Chk>0</Ro2Chk>
            <Ro3Chk>0</Ro3Chk>
            <Ir1Chk>1</Ir1Chk>
            <Ir2Chk>0</Ir2Chk>
            <Ra1Chk>0</Ra1Chk>
            <Ra2Chk>0</Ra2Chk>
            <Ra3Chk>0</Ra3Chk>
            <Im1Chk>1</Im1Chk>
            <Im2Chk>1</Im2Chk>
            <OnChipMemories>
              <Ocm1>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm1>
              <Ocm2>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm2>
              <Ocm3>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm3>
              <Ocm4>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm4>
              <Ocm5>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm5>
              <Ocm6>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm6>
              <IRAM>
                <Type>0</Type>
                <StartAddress>0x1fff0000</StartAddress>
                <Size>0x10000</Size>
              </IRAM>
              <IROM>
                <Type>1</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x100000</Size>
              </IROM>
              <XRAM>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </XRAM>
              <OCR_RVCT1>
                <Type>1</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT1>
              <OCR_RVCT2>
                <Type>1</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT2>
              <OCR_RVCT3>
                <Type>1</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT3>
              <OCR_RVCT4>
                <Type>1</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x100000</Size>
              </OCR_RVCT4>
              <OCR_RVCT5>
                <Type>1</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT5>
              <OCR_RVCT6>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT6>
              <OCR_RVCT7>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT7>
              <OCR_RVCT8>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT8>
              <OCR_RVCT9>
                <Type>0</Type>
                <StartAddress>0x1fff0000</StartAddress>
                <Size>0x10000</Size>
              </OCR_RVCT9>
              <OCR_RVCT10>
                <Type>0</Type>
                <StartAddress>0x20000000</StartAddress>
                <Size>0x30000</Size>
              </OCR_RVCT10>
            </OnChipMemories>
            <RvctStartVector/>
          </ArmAdsMisc>
          <Cads>
            <interw>0</interw>
            <Optim>4</Optim>
            <oTime>0</oTime>
            <SplitLS>0</SplitLS>
            <OneElfS>1</OneElfS>
            <Strict>0</Strict>
            <EnumInt>0</EnumInt>
            <PlainCh>0</PlainCh>
            <Ropi>0</Ropi>
            <Rwpi>0</Rwpi>
            <wLevel>2</wLevel>
            <uThumb>0</uThumb>
            <uSurpInc>0</uSurpInc>
            <uC99>1</uC99>
            <useXO>0</useXO>
            <VariousControls>
              <MiscControls>--library_interface=armcc 
--library_type=standardlib 
--diag_suppress=66,1296,186 
 
</MiscControls>
              <Define>_DEBUG=0, CPU_MK64FN1M0VLL12, USB_STACK_BM, PRINTF_FLOAT_ENABLE=1, PRINTF_ADVANCED_ENABLE=1, FRDM_K64F, FREEDOM</Define>
              <Undefine/>
              <IncludePath>..;../../../../../../middleware/usb_1.6.3;../../../../../../middleware/usb_1.6.3/osa;../../../../../../middleware/usb_1.6.3/include;../../../../../../CMSIS/Include;../../../..;../../../../../../middleware/usb_1.6.3/host;../../../../../../devices/MK64F12/drivers;../../../../../../middleware/usb_1.6.3/host/class;../../../../../../devices/MK64F12/utilities;../../../../../../devices/MK64F12</IncludePath>
            </VariousControls>
          </Cads>
          <Aads>
            <interw>0</interw>
            <Ropi>0</Ropi>
            <Rwpi>0</Rwpi>
            <thumb>0</thumb>
            <SplitLS>0</SplitLS>
            <SwStkChk>0</SwStkChk>
            <NoWarn>0</NoWarn>
            <uSurpInc>0</uSurpInc>
            <useXO>0</useXO>
            <VariousControls>
              <MiscControls/>
              <Define/>
              <Undefine/>
              <IncludePath/>
            </VariousControls>
          </Aads>
          <LDads>
            <umfTarg>0</umfTarg>
            <Ropi>0</Ropi>
            <Rwpi>0</Rwpi>
            <noStLib>0</noStLib>
            <RepFail>1</RepFail>
            <useFile>0</useFile>
            <TextAddressRange>0x00000000</TextAddressRange>
            <DataAddressRange>0x20000000</DataAddressRange>
            <pXoBase/>
            <ScatterFile>MK64FN1M0xxx12_flash.scf</ScatterFile>
            <IncludeLibs/>
            <IncludeLibsPath/>
            <Misc>--remove 
</Misc>
            <LinkerInputFile/>
            <DisabledWarnings>6314</DisabledWarnings>
          </LDads>
        </TargetArmAds>
      </TargetOption>
      <Groups>
        <Group>
          <GroupName>startup</GroupName>
          <Files>
            <File>
              <FileName>startup_MK64F12.s</FileName>
              <FileType>2</FileType>
              <FilePath>../../../../../../devices/MK64F12/arm/startup_MK64F12.s</FilePath>
            </File>
            <File>
              <FileName>system_MK64F12.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../devices/MK64F12/system_MK64F12.c</FilePath>
            </File>
            <File>
              <FileName>system_MK64F12.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../devices/MK64F12/system_MK64F12.h</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>usb-host</GroupName>
          <Files>
            <File>
              <FileName>usb_host_khci.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/host/usb_host_khci.c</FilePath>
            </File>
            <File>
              <FileName>usb_host_khci.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/host/usb_host_khci.h</FilePath>
            </File>
            <File>
              <FileName>usb_host.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/host/usb_host.h</FilePath>
            </File>
            <File>
              <FileName>usb_host_hci.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/host/usb_host_hci.c</FilePath>
            </File>
            <File>
              <FileName>usb_host_hci.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/host/usb_host_hci.h</FilePath>
            </File>
            <File>
              <FileName>usb_host_devices.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/host/usb_host_devices.c</FilePath>
            </File>
            <File>
              <FileName>usb_host_devices.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/host/usb_host_devices.h</FilePath>
            </File>
            <File>
              <FileName>usb_host_framework.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/host/usb_host_framework.h</FilePath>
            </File>
            <File>
              <FileName>usb_host_framework.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/host/usb_host_framework.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>drivers</GroupName>
          <Files>
            <File>
              <FileName>fsl_uart.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../devices/MK64F12/drivers/fsl_uart.h</FilePath>
            </File>
            <File>
              <FileName>fsl_uart.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../devices/MK64F12/drivers/fsl_uart.c</FilePath>
            </File>
            <File>
              <FileName>fsl_port.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../devices/MK64F12/drivers/fsl_port.h</FilePath>
            </File>
            <File>
              <FileName>fsl_sim.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../devices/MK64F12/drivers/fsl_sim.h</FilePath>
            </File>
            <File>
              <FileName>fsl_sim.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../devices/MK64F12/drivers/fsl_sim.c</FilePath>
            </File>
            <File>
              <FileName>fsl_clock.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../devices/MK64F12/drivers/fsl_clock.h</FilePath>
            </File>
            <File>
              <FileName>fsl_clock.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../devices/MK64F12/drivers/fsl_clock.c</FilePath>
            </File>
            <File>
              <FileName>fsl_gpio.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../devices/MK64F12/drivers/fsl_gpio.h</FilePath>
            </File>
            <File>
              <FileName>fsl_gpio.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../devices/MK64F12/drivers/fsl_gpio.c</FilePath>
            </File>
            <File>
              <FileName>fsl_sysmpu.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../devices/MK64F12/drivers/fsl_sysmpu.h</FilePath>
            </File>
            <File>
              <FileName>fsl_sysmpu.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../devices/MK64F12/drivers/fsl_sysmpu.c</FilePath>
            </File>
            <File>
              <FileName>fsl_common.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../devices/MK64F12/drivers/fsl_common.h</FilePath>
            </File>
            <File>
              <FileName>fsl_common.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../devices/MK64F12/drivers/fsl_common.c</FilePath>
            </File>
            <File>
              <FileName>fsl_smc.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../devices/MK64F12/drivers/fsl_smc.h</FilePath>
            </File>
            <File>
              <FileName>fsl_smc.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../devices/MK64F12/drivers/fsl_smc.c</FilePath>
            </File>
            <File>
              <FileName>fsl_flash.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../devices/MK64F12/drivers/fsl_flash.c</FilePath>
            </File>
            <File>
              <FileName>fsl_flash.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../devices/MK64F12/drivers/fsl_flash.h</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>osa</GroupName>
          <Files>
            <File>
              <FileName>usb_osa.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/osa/usb_osa.h</FilePath>
            </File>
            <File>
              <FileName>usb_osa_bm.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/osa/usb_osa_bm.h</FilePath>
            </File>
            <File>
              <FileName>usb_osa_bm.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/osa/usb_osa_bm.c</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>usb-host-class</GroupName>
          <Files>
            <File>
              <FileName>usb_host_phdc.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/host/class/usb_host_phdc.c</FilePath>
            </File>
            <File>
              <FileName>usb_host_phdc.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/host/class/usb_host_phdc.h</FilePath>
            </File>
            <File>
              <FileName>usb_host_hub.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/host/class/usb_host_hub.c</FilePath>
            </File>
            <File>
              <FileName>usb_host_hub.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/host/class/usb_host_hub.h</FilePath>
            </File>
            <File>
              <FileName>usb_host_hub_app.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/host/class/usb_host_hub_app.c</FilePath>
            </File>
            <File>
              <FileName>usb_host_hub_app.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/host/class/usb_host_hub_app.h</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>sources</GroupName>
          <Files>
            <File>
              <FileName>app.c</FileName>
              <FileType>1</FileType>
              <FilePath>../app.c</FilePath>
            </File>
            <File>
              <FileName>host_phdc_manager.c</FileName>
              <FileType>1</FileType>
              <FilePath>../host_phdc_manager.c</FilePath>
            </File>
            <File>
              <FileName>host_phdc_manager.h</FileName>
              <FileType>5</FileType>
              <FilePath>../host_phdc_manager.h</FilePath>
            </File>
            <File>
              <FileName>ieee11073_nomenclature.h</FileName>
              <FileType>5</FileType>
              <FilePath>../ieee11073_nomenclature.h</FilePath>
            </File>
            <File>
              <FileName>ieee11073_nomenclature.c</FileName>
              <FileType>1</FileType>
              <FilePath>../ieee11073_nomenclature.c</FilePath>
            </File>
            <File>
              <FileName>ieee11073_types.h</FileName>
              <FileType>5</FileType>
              <FilePath>../ieee11073_types.h</FilePath>
            </File>
            <File>
              <FileName>usb_host_config.h</FileName>
              <FileType>5</FileType>
              <FilePath>../usb_host_config.h</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>utilities</GroupName>
          <Files>
            <File>
              <FileName>fsl_debug_console.c</FileName>
              <FileType>1</FileType>
              <FilePath>../../../../../../devices/MK64F12/utilities/fsl_debug_console.c</FilePath>
            </File>
            <File>
              <FileName>fsl_debug_console.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../devices/MK64F12/utilities/fsl_debug_console.h</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>usb-include</GroupName>
          <Files>
            <File>
              <FileName>usb.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/include/usb.h</FilePath>
            </File>
            <File>
              <FileName>usb_misc.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/include/usb_misc.h</FilePath>
            </File>
            <File>
              <FileName>usb_spec.h</FileName>
              <FileType>5</FileType>
              <FilePath>../../../../../../middleware/usb_1.6.3/include/usb_spec.h</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>board</GroupName>
          <Files>
            <File>
              <FileName>board.c</FileName>
              <FileType>1</FileType>
              <FilePath>../board.c</FilePath>
            </File>
            <File>
              <FileName>board.h</FileName>
              <FileType>5</FileType>
              <FilePath>../board.h</FilePath>
            </File>
            <File>
              <FileName>clock_config.c</FileName>
              <FileType>1</FileType>
              <FilePath>../clock_config.c</FilePath>
            </File>
            <File>
              <FileName>clock_config.h</FileName>
              <FileType>5</FileType>
              <FilePath>../clock_config.h</FilePath>
            </File>
            <File>
              <FileName>pin_mux.c</FileName>
              <FileType>1</FileType>
              <FilePath>../pin_mux.c</FilePath>
            </File>
            <File>
              <FileName>pin_mux.h</FileName>
              <FileType>5</FileType>
              <FilePath>../pin_mux.h</FilePath>
            </File>
          </Files>
        </Group>
      </Groups>
    </Target>
  </Targets>
</Project>
